// debug.h : header file
// declaration of the new operator for memory leak checking under windows

#ifndef _NVDEBUG_H
#define _NVDEBUG_H


#ifdef NV_SERVER
#ifdef WIN32
#ifdef _DEBUG
#include <stdlib.h>
#include <crtdbg.h>
#define NVNEW new( _NORMAL_BLOCK, __FILE__, __LINE__)
#else // _DEBUG
#define NVNEW new
#endif // _DEBUG
#else	//WIN32
#define NVNEW new
#endif	//WIN32
#define NVNEW new
#endif	//NV_SERVER

#endif	//_NVDEBUG_H
